LEXHOLDER-EN(1)

NAME
lexholder-en - lexical database holding utility

SYNOPSIS
lexholder-en [options] <db_path>

DESCRIPTION
lexholder-en is a small utility intended for use from the command line or shell-scripts. It allows one to construct, test, manage and query lexical database as well as extract it's content in textual form.

This database is primarily intended for use along with the freephone phonetizer for mbrola to provide pronunciation information for English words.

When filling and updating the database, new records are read from the standard input. When extracting data from the database, The result is printed to the standard output. This behaviour can be changed by the -f switch.

OPTIONS
When no options are specified, the program reads it's standard input and stores it's content in the database.

All options recognized in the command line are described below.

-h
    Print summary of options and exit. This option discards all other command line specifications. It is the only case when the database path is not required.

-l
    List database content in textual form.

-s <word>
    Search specified word in the lexical database. If the word is found program exits successfully and outputs it's pronunciation string,
     otherwise prints nothing and exits with non-zero exit code.

-d <word>
    Delete record for specified word.

-f <file>
    Use specified file instead of standard input or output.

-r
    Replace mode. This mode causes that the new records replace existing ones with the same key. By default such records are ignored.

-q
    Be more quiet than usual: don't print warnings about ignoring duplicate records when filling the database.

SEE ALSO
freephone(1), mbrola(1).

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>